# The MEME Suite

## Motif-based sequence analysis tools

## fitevd

### Usage:

`fitevd <query length> [options]`

### Description

fitevd fits an extreme value distribution to a set of score-length pairs.

The outer loop alternates between estimating lambda and K with H fixed and estimating H with lambda and K fixed. The inner loop is the Newton-Raphson algorithm, which is used for solving the estimation problems.

### Input

Reads white-space separated score-length pairs from standard input.

#### Query Length

The query length; ignored for -exp and -gcexp.

### Output

Writes the EVD parameters to standard output.

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
General Options
-exp |  | Compute an exponential-Guassian mixture. | Compute EVD.
-gcexp |  | Compute a GC-dependent exponential-Guassian mixture. | Compute EVD.
-s | s | Size of length groups. | The size of length groups is 10,000.
-ms | ms | Minimum number of scores per length (or GC-content) group. Note: If ms is 0 and -gcexp is given, then no binning is done and weighted regression is used. | The size of length groups is 200.
-lr | lr | Minimum ratio of shortest to longest in group. | The minimum ratio of shortest to longest in the group is 1.50.
-r | n | Use n randomly selected scores. | All are used.
-p |  | Print p-values. | The p-values are not printed.
-h | H | Initial value of H. | H is set to 1.0.
-ilh | ilh | Maximum iterations in outer L-H loop. | The maximum iterations in outer L-H loop is 10.
-inr | inr | Maximum iterations in inner N-R loop. | The maximum iterations in inner N-R loop is 20.
-d | smin smax | Print length vs p-value for smin ≤ score ≤ smax. | Do not print length vs. p-value.
-t |  | Turn on debug tracing. | Debug tracing is not on.